<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.2(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
ob_start();
function data($time)
	{
		$month = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
		$month_rus = array('Янв','Фев','Мар','Апр','Мая','Июн','Июл','Авг','Сент','Окт','Ноя','Дек');
		$timep = date("j M Y - H:i:s", $time);
		$timep = str_replace($month,$month_rus,$timep);
		return $timep;
	}
function navigation($all,$napage,$page,$url,$total)
	{
		if(!($all<=$napage))
			{
				echo '<div class="navigation">';
				if($page-1>0)
					{
						$left='<a href="'.$url.'page='.($page-1).'"><--Пред.</a>'; 
					}
				else
					{
						$left='<--Пред.</a>'; 
					}
				if($page+1>0 && $page<$total)
					{ 
						$right = '<a href="'.$url.'page='.($page+1).'">След.--></a>'; 
					}
				else
					{
						$right = 'След.--></a>'; 
					}
				echo ''.$left.'|'.$right.''; 
					if($page-2>0)$first='<a href="'.$url.'page=1">1</a>..'; 
					if($page-1>0)$page1left='<a href="'.$url.'page='.($page-1).'">'.($page-1).'</a>,'; 
					if($page+1<=$total)$page1right=',<a href="'.$url.'page='.($page+1).'">'.($page + 1).'</a>'; 
					if($page+2<=$total)$page2right='..<a href="'.$url.'page='.($total).'">'.($total).'</a>'; 
				echo '<br>'.$first.$page1left.'<b>'.$page.'</b>'.$page1right.$page2right.'<br/>';
				echo '</div>';
			}
	}
function unreg()
	{	
		global $user_data;
		if($user_data)
			{
				header("Location: ../index.php");
			}
	}
function reg()
	{
		global $user_data;
		if(!$user_data)
			{
				header("Location: ../str/enter.php");
			}
	}
function level($level)
	{
		global $user_data;
		if($user_data AND $user_data['level'] < $level OR !$user_data)
			{
				header("Location: ../index.php");
			}
	}
function filter($t)
{
$t = mysql_real_escape_string(nl2br(htmlspecialchars(trim($t))));
$t = str_replace("\'", "&#39;", $t);
$t = str_replace('\\', "&#92;", $t);
$t = str_replace("|", "I", $t);
$t = str_replace("||", "I", $t);
$t = str_replace("/\\\$/", "&#36;", $t);
return $t;
}
function browser()
	{
		global $ua;
		if (preg_match('/opera min/i', $ua)) $browser = 'Opera Mini';
		else if (preg_match('/Chrome/i', $ua))$browser = 'Chrome';
		else if (preg_match('/Opera/i', $ua)) $browser = 'Opera';
		else if (preg_match('/MSIE/i', $ua)) $browser = 'IE';
		else if (preg_match('/Mozilla/i', $ua)) $browser = 'Mozilla';
		else if (preg_match('/ucweb/i', $ua)) $browser = 'UCWeb';
		else $browser = 'Неизвестно';
		return $browser;
	}
function cy($url)
{
$url=str_replace("http://","",$url);

 $fp = fsockopen("bar-navig.yandex.ru", 80, $errno, $errstr, 30); 
  if (!$fp) { return FALSE;  } 
	 else { 
     $out = "GET /u?ver=2&url=http://$url/&show=1 HTTP/1.1\r\n" ; 
     $out .= "Host: bar-navig.yandex.ru\r\n" ; 
     $out .= "Connection: Close\r\n\r\n" ;  
     fwrite($fp, $out); 
	 
	 $data="";
     while (!feof($fp)) { 
       $data .= fgets($fp, 128); 
          } 
		   fclose($fp);  
		  
		 $pos=strpos($data,"value")+7;
		 $itog=substr($data, $pos, 5);
		 
		 $itog=substr($itog, 0, strpos($itog,'"'));
		
		return $itog;
		 
     } 
	 
    

}
///////////////////PR

define('GMAG', 0xE6359A60); 
function nooverflow($a) 
{ 
while ($a<-2147483648) 
$a+=2147483648+2147483648; 
while ($a>2147483647) 
$a-=2147483648+2147483648; 
return $a; 
} 
function zeroFill ($x, $bits) 
{ 
   if ($bits==0) return $x; 
   if ($bits==32) return 0; 
   $y = ($x & 0x7FFFFFFF) >> $bits; 
   if (0x80000000 & $x) { 
       $y |= (1<<(31-$bits)); 
   } 
   return $y; 
} 
function mix($a,$b,$c) { 
$a=(int)$a; $b=(int)$b; $c=(int)$c; 
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,13)); 
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<8); 
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,13)); 
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,12)); 
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<16); 
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,5)); 
$a -= $b; $a -= $c; $a=nooverflow($a); $a ^= (zeroFill($c,3)); 
$b -= $c; $b -= $a; $b=nooverflow($b); $b ^= ($a<<10); 
$c -= $a; $c -= $b; $c=nooverflow($c); $c ^= (zeroFill($b,15)); 
return array($a,$b,$c); 
} 
function GCH($url, $length=null, $init=GMAG) { 
    if(is_null($length)) 
    { 
        $length = sizeof($url); 
    } 
    $a = $b = 0x9E3779B9; 
    $c = $init; 
    $k = 0; 
    $len = $length; 
    while($len >= 12) 
    { 
        $a += ($url[$k+0] +($url[$k+1]<<8) +($url[$k+2]<<16) +($url[$k+3]<<24)); 
        $b += ($url[$k+4] +($url[$k+5]<<8) +($url[$k+6]<<16) +($url[$k+7]<<24)); 
        $c += ($url[$k+8] +($url[$k+9]<<8) +($url[$k+10]<<16)+($url[$k+11]<<24)); 
        $mix = mix($a,$b,$c); 
        $a = $mix[0]; $b = $mix[1]; $c = $mix[2]; 
        $k += 12; 
        $len -= 12; 
    } 
    $c += $length; 
    switch($len) 
    { 
        case 11: $c+=($url[$k+10]<<24); 
        case 10: $c+=($url[$k+9]<<16); 
        case 9 : $c+=($url[$k+8]<<8); 
        case 8 : $b+=($url[$k+7]<<24); 
        case 7 : $b+=($url[$k+6]<<16); 
        case 6 : $b+=($url[$k+5]<<8); 
        case 5 : $b+=($url[$k+4]); 
        case 4 : $a+=($url[$k+3]<<24); 
        case 3 : $a+=($url[$k+2]<<16); 
        case 2 : $a+=($url[$k+1]<<8); 
        case 1 : $a+=($url[$k+0]); 
	//case 0 : $a+=($url[$k+0]<<0);
    } 
    $mix = mix($a,$b,$c); 
    return $mix[2]; 
} 
function strord($string) 
{ 
    for($i=0;$i<strlen($string);$i++) 
    { 
        $result[$i] = ord($string{$i}); 
    } 

    return $result; 
} 

function getPageRank($aUrl) 
{ 
    $url = 'info:'.$aUrl; 
    $ch = GCH(strord($url)); 
    $url='info:'.urlencode($aUrl); 
    $pr = @file("http://www.google.com/search?client=navclient-auto&ch=6$ch&ie=UTF-8&oe=UTF-8&features=Rank&q=$url"); 
     $pr_str = @implode("", $pr); 
if($pr == 0) {return $pr_str = "0";}else{
    return rtrim(substr($pr_str,strrpos($pr_str, ":")+1)); } 

}

?>